11 Replies Latest reply on Jun 16, 2017 4:54 PM by dexterp23

    Build failed

    dexterp23 Level 1

      Few hours ago I build app with no problem. Now I have build failed and files are the same as few hours ago.

      Can you help me with this?

       

      Log file:

       

      Build Date: 2017-05-26 20:28:48 +0000

      Configuration on demand is an incubating feature.

       

      FAILURE: Build failed with an exception.

       

      * What went wrong:

      A problem occurred configuring root project 'project'.

      > Could not resolve all dependencies for configuration ':_debugCompile'.

        > Could not find com.android.support:support-v4:25.3.1.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-v4/25.3.1/support-v4-25.3.1.pom

        https://repo1.maven.org/maven2/com/android/support/support-v4/25.3.1/support-v4-25.3.1.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/25.3.1/suppo rt-v4-25.3.1.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/25.3.1/suppo rt-v4-25.3.1.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/25.3.1/suppor t-v4-25.3.1.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/25.3.1/suppor t-v4-25.3.1.jar

        Required by:

        :project:unspecified

        > Could not find com.android.support:support-v4:25.3.1.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-v4/25.3.1/support-v4-25.3.1.pom

        https://repo1.maven.org/maven2/com/android/support/support-v4/25.3.1/support-v4-25.3.1.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/25.3.1/suppo rt-v4-25.3.1.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/25.3.1/suppo rt-v4-25.3.1.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/25.3.1/suppor t-v4-25.3.1.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/25.3.1/suppor t-v4-25.3.1.jar

        Required by:

        :project:unspecified > com.android.support:support-v13:23.4.0

        > Could not find com.android.support:support-v4:25.3.1.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-v4/25.3.1/support-v4-25.3.1.pom

        https://repo1.maven.org/maven2/com/android/support/support-v4/25.3.1/support-v4-25.3.1.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/25.3.1/suppo rt-v4-25.3.1.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/25.3.1/suppo rt-v4-25.3.1.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/25.3.1/suppor t-v4-25.3.1.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/25.3.1/suppor t-v4-25.3.1.jar

        Required by:

        :project:unspecified > com.facebook.android:facebook-android-sdk:4.23.0

        > Could not find com.android.support:appcompat-v7:25.3.1.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/appcompat-v7/25.3.1/appcompat-v7-25.3.1 .pom

        https://repo1.maven.org/maven2/com/android/support/appcompat-v7/25.3.1/appcompat-v7-25.3.1 .jar

        file:/android-sdk/extras/android/m2repository/com/android/support/appcompat-v7/25.3.1/app compat-v7-25.3.1.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/appcompat-v7/25.3.1/app compat-v7-25.3.1.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/appcompat-v7/25.3.1/appc ompat-v7-25.3.1.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/appcompat-v7/25.3.1/appc ompat-v7-25.3.1.jar

        Required by:

        :project:unspecified > com.facebook.android:facebook-android-sdk:4.23.0

        > Could not find com.android.support:cardview-v7:25.3.1.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/cardview-v7/25.3.1/cardview-v7-25.3.1.p om

        https://repo1.maven.org/maven2/com/android/support/cardview-v7/25.3.1/cardview-v7-25.3.1.j ar

        file:/android-sdk/extras/android/m2repository/com/android/support/cardview-v7/25.3.1/card view-v7-25.3.1.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/cardview-v7/25.3.1/card view-v7-25.3.1.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/cardview-v7/25.3.1/cardv iew-v7-25.3.1.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/cardview-v7/25.3.1/cardv iew-v7-25.3.1.jar

        Required by:

        :project:unspecified > com.facebook.android:facebook-android-sdk:4.23.0

        > Could not find com.android.support:customtabs:25.3.1.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/customtabs/25.3.1/customtabs-25.3.1.pom

        https://repo1.maven.org/maven2/com/android/support/customtabs/25.3.1/customtabs-25.3.1.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/customtabs/25.3.1/custo mtabs-25.3.1.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/customtabs/25.3.1/custo mtabs-25.3.1.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/customtabs/25.3.1/custom tabs-25.3.1.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/customtabs/25.3.1/custom tabs-25.3.1.jar

        Required by:

        :project:unspecified > com.facebook.android:facebook-android-sdk:4.23.0

        > Could not find com.android.support:support-v4:25.3.1.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-v4/25.3.1/support-v4-25.3.1.pom

        https://repo1.maven.org/maven2/com/android/support/support-v4/25.3.1/support-v4-25.3.1.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/25.3.1/suppo rt-v4-25.3.1.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/25.3.1/suppo rt-v4-25.3.1.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/25.3.1/suppor t-v4-25.3.1.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/25.3.1/suppor t-v4-25.3.1.jar

        Required by:

        :project:unspecified > com.google.android.gms:play-services-gcm:10.2.0 > com.google.android.gms:play-services-basement:10.2.0

       

      * Try:

      Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

       

      BUILD FAILED

       

      Total time: 1.087 secs

      undefined

        • 1. Re: Build failed
          canados Level 1

          Hello

           

          I have kind of the same problem. Do you happen to use a facebook plugin ?

          • 3. Re: Build failed
            canados Level 1

            ok then look no further. Facebook changed their Android SDK and now the  compiler is failing !

            I sent a message to phonegapbuild on twitter as I believe they tends to reply faster that way. I suggest you do the same

             

            Regards

            • 4. Re: Build failed
              canados Level 1

              hello dexterp23

               

               

              maybe you can join this tweet

              https://twitter.com/PhoneGapBuild/status/868274115454451712

               

              It will fix the bug faster if there is more complains : )

              • 5. Re: Build failed
                dexterp23 Level 1

                Yes, it is Facebook plugin issue.

                I will join this tweet.

                • 6. Re: Build failed
                  dexterp23 Level 1

                  any update on this issue?

                  • 7. Re: Build failed
                    Gabit_Zhake Level 1

                    Is there a built-in plug-in in https: //build.phonegap.com?

                    • 8. Re: Build failed
                      vangroover Adobe Employee

                      if you're using cordova-plugin-facebook4 it should be fixed. it takes a while for the android SDK to be updated on PhoneGap Build as we have testing procedures to go through.

                      • 9. Re: Build failed
                        dexterp23 Level 1

                        Yes I use cordova-plugin-facebook4 but when I build with that plugin now I get this error:

                         

                        Build Date: 2017-06-16 22:43:30 +0000

                        Configuration on demand is an incubating feature.

                        :preBuild UP-TO-DATE

                        :preReleaseBuild UP-TO-DATE

                        :checkReleaseManifest

                        :preDebugBuild UP-TO-DATE

                        :CordovaLib:preBuild UP-TO-DATE

                        :CordovaLib:preDebugBuild UP-TO-DATE

                        :CordovaLib:compileDebugNdk UP-TO-DATE

                        :CordovaLib:compileLint

                        :CordovaLib:copyDebugLint UP-TO-DATE

                        :CordovaLib:mergeDebugProguardFiles

                        :CordovaLib:packageDebugRenderscript UP-TO-DATE

                        :CordovaLib:checkDebugManifest

                        :CordovaLib:prepareDebugDependencies

                        :CordovaLib:compileDebugRenderscript

                        :CordovaLib:generateDebugResValues

                        :CordovaLib:generateDebugResources

                        :CordovaLib:packageDebugResources

                        :CordovaLib:compileDebugAidl

                        :CordovaLib:generateDebugBuildConfig

                        :CordovaLib:generateDebugAssets UP-TO-DATE

                        :CordovaLib:mergeDebugAssets

                        :CordovaLib:processDebugManifest

                        :CordovaLib:processDebugResources

                        :CordovaLib:generateDebugSources

                        :CordovaLib:compileDebugJavaWithJavacNote: Some input files use or override a deprecated API.

                        Note: Recompile with -Xlint:deprecation for details.

                         

                        :CordovaLib:processDebugJavaRes UP-TO-DATE

                        :CordovaLib:transformResourcesWithMergeJavaResForDebug

                        :CordovaLib:transformClassesAndResourcesWithSyncLibJarsForDebug

                        :CordovaLib:mergeDebugJniLibFolders

                        :CordovaLib:transformNative_libsWithMergeJniLibsForDebug

                        :CordovaLib:transformNative_libsWithSyncJniLibsForDebug

                        :CordovaLib:bundleDebug

                        :CordovaLib:preReleaseBuild UP-TO-DATE

                        :CordovaLib:compileReleaseNdk UP-TO-DATE

                        :CordovaLib:copyReleaseLint UP-TO-DATE

                        :CordovaLib:mergeReleaseProguardFiles

                        :CordovaLib:packageReleaseRenderscript UP-TO-DATE

                        :CordovaLib:checkReleaseManifest

                        :CordovaLib:prepareReleaseDependencies

                        :CordovaLib:compileReleaseRenderscript

                        :CordovaLib:generateReleaseResValues

                        :CordovaLib:generateReleaseResources

                        :CordovaLib:packageReleaseResources

                        :CordovaLib:compileReleaseAidl

                        :CordovaLib:generateReleaseBuildConfig

                        :CordovaLib:generateReleaseAssets UP-TO-DATE

                        :CordovaLib:mergeReleaseAssets

                        :CordovaLib:processReleaseManifest

                        :CordovaLib:processReleaseResources

                        :CordovaLib:generateReleaseSources

                        :CordovaLib:compileReleaseJavaWithJavacNote: Some input files use or override a deprecated API.

                        Note: Recompile with -Xlint:deprecation for details.

                         

                        :CordovaLib:processReleaseJavaRes UP-TO-DATE

                        :CordovaLib:transformResourcesWithMergeJavaResForRelease

                        :CordovaLib:transformClassesAndResourcesWithSyncLibJarsForRelease

                        :CordovaLib:mergeReleaseJniLibFolders

                        :CordovaLib:transformNative_libsWithMergeJniLibsForRelease

                        :CordovaLib:transformNative_libsWithSyncJniLibsForRelease

                        :CordovaLib:bundleRelease

                        :prepareComAndroidSupportAnimatedVectorDrawable2531Library

                        :prepareComAndroidSupportAppcompatV72531Library

                        :prepareComAndroidSupportCardviewV72531Library

                        :prepareComAndroidSupportCustomtabs2531Library

                        :prepareComAndroidSupportSupportCompat2531Library

                        :prepareComAndroidSupportSupportCoreUi2531Library

                        :prepareComAndroidSupportSupportCoreUtils2531Library

                        :prepareComAndroidSupportSupportFragment2531Library

                        :prepareComAndroidSupportSupportMediaCompat2531Library

                        :prepareComAndroidSupportSupportV132340Library

                        :prepareComAndroidSupportSupportV42531Library

                        :prepareComAndroidSupportSupportVectorDrawable2531Library

                        :prepareComFacebookAndroidFacebookAndroidSdk4230Library

                        :prepareComGoogleAndroidGmsPlayServicesBase1100Library

                        :prepareComGoogleAndroidGmsPlayServicesBasement1100Library

                        :prepareComGoogleAndroidGmsPlayServicesGcm1100Library

                        :prepareComGoogleAndroidGmsPlayServicesIid1100Library

                        :prepareComGoogleAndroidGmsPlayServicesTasks1100Library

                        :prepareProjectCordovaLibUnspecifiedReleaseLibrary

                        :prepareReleaseDependencies

                        :compileReleaseAidl

                        :compileReleaseRenderscript

                        :generateReleaseBuildConfig

                        :generateReleaseAssets UP-TO-DATE

                        :mergeReleaseAssets

                        :generateReleaseResValues

                        :generateReleaseResources

                        :mergeReleaseResources

                        :processReleaseManifest

                        :processReleaseResources/project/build/intermediates/res/merged/release/values-v24/values- v24.xml:3 : AAPT: Error retrieving parent for item: No resource found that matches the given name 'android:TextAppearance.Material.Widget.Button.Borderless.Colored'.

                         

                        /project/build/intermediates/res/merged/release/values-v24/values-v24.xml:4 : AAPT: Error retrieving parent for item: No resource found that matches the given name 'android:TextAppearance.Material.Widget.Button.Colored'.

                         

                        FAILED

                         

                        FAILURE: Build failed with an exception.

                         

                        * What went wrong:

                        Execution failed for task ':processReleaseResources'.

                        > com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command '/android-sdk/build-tools/24.0.1/aapt'' finished with non-zero exit value 1

                         

                        * Try:

                        Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

                         

                        BUILD FAILED

                         

                        Total time: 7.444 secs

                        undefined

                        • 10. Re: Build failed
                          vangroover Adobe Employee

                          try updating your phonegap version to cli-6.5.0

                          • 11. Re: Build failed
                            dexterp23 Level 1

                            That is the solution.

                            thank you